object dmDB: TdmDB
  OldCreateOrder = False
  Left = 189
  Top = 107
  Height = 332
  Width = 525
  object db: TDatabase
    AliasName = 'DBDEMOS'
    DatabaseName = 'A'
    SessionName = 'Default'
    Left = 24
    Top = 20
  end
  object tbOrders: Tvg2Table
    DatabaseName = 'A'
    TableName = 'orders.db'
    Left = 24
    Top = 80
    object tbOrdersCompany: TStringField
      FieldKind = fkLookup
      FieldName = 'Company'
      LookupDataSet = tbCustomers
      LookupKeyFields = 'CustNo'
      LookupResultField = 'Company'
      KeyFields = 'CustNo'
      Size = 30
      Lookup = True
    end
    object tbOrdersEmployee: TStringField
      FieldKind = fkLookup
      FieldName = 'Employee'
      LookupDataSet = tbEmployee
      LookupKeyFields = 'EmpNo'
      LookupResultField = 'LastName'
      KeyFields = 'EmpNo'
      Size = 39
      Lookup = True
    end
    object tbOrdersOrderNo: TFloatField
      FieldName = 'OrderNo'
    end
    object tbOrdersCustNo: TFloatField
      FieldName = 'CustNo'
      Required = True
    end
    object tbOrdersSaleDate: TDateTimeField
      FieldName = 'SaleDate'
    end
    object tbOrdersShipDate: TDateTimeField
      FieldName = 'ShipDate'
    end
    object tbOrdersEmpNo: TIntegerField
      FieldName = 'EmpNo'
      Required = True
    end
    object tbOrdersShipToContact: TStringField
      FieldName = 'ShipToContact'
    end
    object tbOrdersShipToAddr1: TStringField
      FieldName = 'ShipToAddr1'
      Size = 30
    end
    object tbOrdersShipToAddr2: TStringField
      FieldName = 'ShipToAddr2'
      Size = 30
    end
    object tbOrdersShipToCity: TStringField
      FieldName = 'ShipToCity'
      Size = 15
    end
    object tbOrdersShipToState: TStringField
      FieldName = 'ShipToState'
    end
    object tbOrdersShipToZip: TStringField
      FieldName = 'ShipToZip'
      Size = 10
    end
    object tbOrdersShipToCountry: TStringField
      FieldName = 'ShipToCountry'
    end
    object tbOrdersShipToPhone: TStringField
      FieldName = 'ShipToPhone'
      Size = 15
    end
    object tbOrdersShipVIA: TStringField
      FieldName = 'ShipVIA'
      Size = 7
    end
    object tbOrdersPO: TStringField
      FieldName = 'PO'
      Size = 15
    end
    object tbOrdersTerms: TStringField
      FieldName = 'Terms'
      Size = 6
    end
    object tbOrdersPaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Size = 7
    end
    object tbOrdersItemsTotal: TCurrencyField
      CustomConstraint = 'ItemsTotal >= 0'
      ConstraintErrorMessage = 'ItemsTotal must be greater or equal to zero'
      DefaultExpression = '0'
      FieldName = 'ItemsTotal'
    end
    object tbOrdersTaxRate: TFloatField
      CustomConstraint = 'TaxRate >= 0'
      ConstraintErrorMessage = 'TaxRate must be greater or equal to zero'
      DefaultExpression = '0'
      FieldName = 'TaxRate'
    end
    object tbOrdersFreight: TCurrencyField
      CustomConstraint = 'Freight >= 0'
      ConstraintErrorMessage = 'Freight must be greater or equal to zero'
      DefaultExpression = '0'
      FieldName = 'Freight'
    end
    object tbOrdersAmountPaid: TCurrencyField
      CustomConstraint = 'AmountPaid >= 0'
      ConstraintErrorMessage = 'AmountPaid must be greater or equal to zero'
      DefaultExpression = '0'
      FieldName = 'AmountPaid'
    end
    object tbOrdersAmountDue: TCurrencyField
      DefaultExpression = 'ItemsTotal - AmountPaid'
      FieldKind = fkCalculated
      FieldName = 'AmountDue'
      Calculated = True
    end
  end
  object tbCustomers: Tvg2Table
    DatabaseName = 'A'
    TableName = 'customer.db'
    Left = 92
    Top = 80
    object tbCustomersCustNo: TFloatField
      FieldName = 'CustNo'
    end
    object tbCustomersCompany: TStringField
      FieldName = 'Company'
      Size = 30
    end
    object tbCustomersAddr1: TStringField
      FieldName = 'Addr1'
      Size = 30
    end
    object tbCustomersAddr2: TStringField
      FieldName = 'Addr2'
      Size = 30
    end
    object tbCustomersCity: TStringField
      FieldName = 'City'
      Size = 15
    end
    object tbCustomersState: TStringField
      FieldName = 'State'
    end
    object tbCustomersZip: TStringField
      FieldName = 'Zip'
      Size = 10
    end
    object tbCustomersCountry: TStringField
      FieldName = 'Country'
    end
    object tbCustomersPhone: TStringField
      FieldName = 'Phone'
      Size = 15
    end
    object tbCustomersFAX: TStringField
      FieldName = 'FAX'
      Size = 15
    end
    object tbCustomersTaxRate: TFloatField
      FieldName = 'TaxRate'
    end
    object tbCustomersContact: TStringField
      FieldName = 'Contact'
    end
    object tbCustomersLastInvoiceDate: TDateTimeField
      FieldName = 'LastInvoiceDate'
    end
  end
  object tbEmployee: Tvg2Table
    DatabaseName = 'A'
    TableName = 'employee.db'
    Left = 164
    Top = 80
    object tbEmployeeEmpNo: TIntegerField
      FieldName = 'EmpNo'
    end
    object tbEmployeeLastName: TStringField
      FieldName = 'LastName'
    end
    object tbEmployeeFirstName: TStringField
      FieldName = 'FirstName'
      Size = 15
    end
    object tbEmployeePhoneExt: TStringField
      FieldName = 'PhoneExt'
      Size = 4
    end
    object tbEmployeeHireDate: TDateTimeField
      FieldName = 'HireDate'
    end
    object tbEmployeeSalary: TFloatField
      FieldName = 'Salary'
    end
  end
end
