{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  Picture Mask Edit dialog                             }
{                                                       }
{  (c) 1997, 2001 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}
{$D-,L-}

unit vg2MaskEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  vg2BaseMaskEd, StdCtrls, vg2StdCtrls, ExtCtrls, vg2ExtCtrls;

type
  Tvg2MaskEditDialogForm = class(Tvg2BaseMaskEditDialogForm)
    Label1: TLabel;
    edDescr: Tvg2Edit;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
uses vg2SysUtils;

{$R *.DFM}

procedure Tvg2MaskEditDialogForm.FormShow(Sender: TObject);
begin
  inherited;
  edMask.Text := VarStoreGet(FStore, 'Picture');
  edDescr.Text := VarStoreGet(FStore, 'Description');
  chAutoFill.Checked := VarStoreGet(FStore, 'AutoFill');
  chCaseCorrection.Checked := VarStoreGet(FStore, 'CaseCorrection');
  chCaseIns.Checked := VarStoreGet(FStore, 'CaseInsensitive');
end;

procedure Tvg2MaskEditDialogForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  inherited;
  if ModalResult = mrOk then
  begin
    VarStoreSet(FStore, 'Picture', edMask.Text);
    VarStoreSet(FStore, 'Description', edDescr.Text);
    VarStoreSet(FStore, 'AutoFill', chAutoFill.Checked);
    VarStoreSet(FStore, 'CaseCorrection', chCaseCorrection.Checked);
    VarStoreSet(FStore, 'CaseInsensitive', chCaseIns.Checked);
  end;
end;

end.
