unit dmDBMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, vg2DBTables;

type
  TdmDB = class(TDataModule)
    db: TDatabase;
    tbOrders: Tvg2Table;
    tbCustomers: Tvg2Table;
    tbCustomersCustNo: TFloatField;
    tbCustomersCompany: TStringField;
    tbCustomersAddr1: TStringField;
    tbCustomersAddr2: TStringField;
    tbCustomersCity: TStringField;
    tbCustomersState: TStringField;
    tbCustomersZip: TStringField;
    tbCustomersCountry: TStringField;
    tbCustomersPhone: TStringField;
    tbCustomersFAX: TStringField;
    tbCustomersTaxRate: TFloatField;
    tbCustomersContact: TStringField;
    tbCustomersLastInvoiceDate: TDateTimeField;
    tbOrdersOrderNo: TFloatField;
    tbOrdersCustNo: TFloatField;
    tbOrdersSaleDate: TDateTimeField;
    tbOrdersShipDate: TDateTimeField;
    tbOrdersEmpNo: TIntegerField;
    tbOrdersShipToContact: TStringField;
    tbOrdersShipToAddr1: TStringField;
    tbOrdersShipToAddr2: TStringField;
    tbOrdersShipToCity: TStringField;
    tbOrdersShipToState: TStringField;
    tbOrdersShipToZip: TStringField;
    tbOrdersShipToCountry: TStringField;
    tbOrdersShipToPhone: TStringField;
    tbOrdersShipVIA: TStringField;
    tbOrdersPO: TStringField;
    tbOrdersTerms: TStringField;
    tbOrdersPaymentMethod: TStringField;
    tbOrdersItemsTotal: TCurrencyField;
    tbOrdersTaxRate: TFloatField;
    tbOrdersFreight: TCurrencyField;
    tbOrdersAmountPaid: TCurrencyField;
    tbOrdersCompany: TStringField;
    tbEmployee: Tvg2Table;
    tbEmployeeEmpNo: TIntegerField;
    tbEmployeeLastName: TStringField;
    tbEmployeeFirstName: TStringField;
    tbEmployeePhoneExt: TStringField;
    tbEmployeeHireDate: TDateTimeField;
    tbEmployeeSalary: TFloatField;
    tbOrdersEmployee: TStringField;
    tbOrdersAmountDue: TCurrencyField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dmDB: TdmDB;

implementation

{$R *.DFM}

end.
