{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  VCL Registration (BDE)                               }
{                                                       }
{  (c) 1997, 2001 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}
{$D-,L-}

unit vg2BDEReg;

interface

procedure Register;

implementation
uses Classes, DsgnIntf, StrEdit, 
  vg2Consts, vg2DBTables, vg2BDEDsgn;

{$R vg2BDE.dcr }

procedure Register;
begin
  RegisterComponents(SRegDataAccess, [Tvg2Table, Tvg2Query, Tvg2StoredProc, Tvg2SQLScript]);

  RegisterPropertyEditor(TypeInfo(string), TComponent, 'DatabaseName', TDatabaseNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TComponent, 'SessionName', TSessionNameProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), Tvg2Query, 'SQL', TStringListProperty);

end;

end.
